<template>
  <div>
    <div id="example-1">
      <button v-on:click="greet">Moin</button>
      <p>The button above has been clicked {{ counter }} times.</p>
    </div>
    <table id="firstTable">
      <tbody>
      <tr>
        <th>Gebäude</th>
        <th>Kürzel</th>
      </tr>
      <tr v-for="row in rows">
        <td v-bind:id="'Bezeichnung' + row.id"> <a v-bind:href="'https://localhost/ptb-maps/?short='+row.kurzform">{{row.bezeichnung}}</a></td>
        <td v-bind:id="'Kurzform' + row.id"> <a v-bind:href="'https://localhost/ptb-maps/?short='+row.kurzform">{{row.kurzform}}</a></td>
      </tr>
      </tbody>
    </table>
  </div>
</template>
<script>
  import styles from '../liststyle.css';
  export default {
    name: "index",
    methods:{
      greet: function (event) {
        alert('Moin');
      }
    },
    data() {
      return {
        rows: [
          {id: 1,bezeichnung: "Kohlrausch-Bau", kurzform: "Ko"},
          {id: 2,bezeichnung: "Hertz-Bau", kurzform: "Her"},
          {id: 3,bezeichnung: "Meisner-Bau", kurzform: "Mei"},
          {id: 4,bezeichnung: "Raumzellen-Bau 9", kurzform: "RZB9"},
          {id: 5,bezeichnung: "Raumzellen-Bau 10", kurzform: "RZB10"},
          {id: 6,bezeichnung: "Zentralgebäude", kurzform: "Z"}
        ]
      }
    }
  }
</script>
